Skip to main content
PUT
/
core
/
v3
/
companies
/
{id}
Update a company
curl --request PUT \
  --url https://api-{region}.sesametime.com/core/v3/companies/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "notificationEmail": "jsmith@example.com",
  "language": "es-ES"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "notificationEmail": "jsmith@example.com",
    "language": "<string>",
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00"
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Company ID

Body

application/json

Company object that needs to be updated

name
string
required

The name of the company

notificationEmail
string<email>
required

The email of the company

language
string
required

The language of the company

Example:

"es-ES"

Response

200 - application/json

Object

data
object
meta
object